- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Updates the parameters of a single mirror.
HTTP request
PATCH https://lustre.googleapis.com/v1/{mirror.name=projects/*/locations/*/instances/*/mirrors/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
mirror.name |
Identifier. Name of the mirror. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. Fields specified in the updateMask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If no mask is provided then all fields present in the request are overwritten. This is a comma-separated list of fully qualified names of fields. Example: |
requestId |
Optional. The unique ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server guarantees that a request doesn't result in the same update request being executed for at least 60 minutes. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. The request ID must be a valid UUID version 4 with the exception that zero UUID is not supported: |
Request body
The request body contains an instance of Mirror.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
lustre.mirrors.update
For more information, see the IAM documentation.